> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--tags/queries/get-app-tags.md).

# getAppTags

Retrieve tags associated with applications with optional filtering and pagination.

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
query GetAppTags($getAppsTagsInput: GetAppsTagsInput) {
  getAppTags(getAppsTagsInput: $getAppsTagsInput) {
    appsTags {
      tagType
      appId
      tagId
      appliedBy
      roles
      tag {
        tagId
        name
        displayName
        tagType
        createdBy
        createdAt
        updatedAt
        tagCategory
        deploymentModel
        purpose
        email
      }
    }
  }
}
```

#### Variables

This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.

```json
{
  "getAppsTagsInput": {
    "filters": {
      "appId": ["30966426"],
      "tagId": ["ox_tag_1"],
      "tagType": ["simple"]
    }
  }
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "query GetAppTags($getAppsTagsInput: GetAppsTagsInput) { getAppTags(getAppsTagsInput: $getAppsTagsInput) { appsTags { tagType appId tagId appliedBy roles tag { tagId name displayName tagType createdBy createdAt updatedAt tagCategory deploymentModel purpose email } } } }",
 "variables": {
    "getAppsTagsInput": {
      "filters": {
        "appId": ["30966426"],
        "tagId": ["ox_tag_1"],
        "tagType": ["simple"]
      }
    }
  }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'query GetAppTags($getAppsTagsInput: GetAppsTagsInput) { getAppTags(getAppsTagsInput: $getAppsTagsInput) { appsTags { tagType appId tagId appliedBy roles tag { tagId name displayName tagType createdBy createdAt updatedAt tagCategory deploymentModel purpose email } } } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query,
    // This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    variables: {
      getAppsTagsInput: {
        filters: {
          appId: ["30966426"],
          tagId: ["ox_tag_1"],
          tagType: ["simple"]
        }
      }
    }
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'query GetAppTags($getAppsTagsInput: GetAppsTagsInput) { getAppTags(getAppsTagsInput: $getAppsTagsInput) { appsTags { tagType appId tagId appliedBy roles tag { tagId name displayName tagType createdBy createdAt updatedAt tagCategory deploymentModel purpose email } } } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query,
    # This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    "variables": {
      "getAppsTagsInput": {
        "filters": {
          "appId": ["30966426"],
          "tagId": ["ox_tag_1"],
          "tagType": ["simple"]
        }
      }
    }
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Arguments

You can use the following argument(s) to customize your `getAppTags` query.

| Argument                                                                                                              | Description                                                    | Supported fields                                                                                                          |
| --------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------- |
| getAppsTagsInput [`GetAppsTagsInput`](/api-documentation/api-reference/api--tags/types/inputs/get-apps-tags-input.md) | Input parameters for filtering and paginating application tags | filters [`GetAppsTagsInputFilter`](/api-documentation/api-reference/api--tags/types/inputs/get-apps-tags-input-filter.md) |

### Fields

Return type: [`GetAppsTagsRes!`](/api-documentation/api-reference/api--tags/types/objects/get-apps-tags-res.md)

You can use the following field(s) to specify what information your `getAppTags` query will return. Please note that some fields may have their own subfields.

| Field                                                                                                     | Description                                          | Supported fields                                                                                                                                                                                                                                                                                                                       |
| --------------------------------------------------------------------------------------------------------- | ---------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| appsTags [`[AppTagObject!]!`](/api-documentation/api-reference/api--tags/types/objects/app-tag-object.md) | List of application tags matching the query criteria | <p>tagType <a href="/pages/2B1zWrVYXlsbCjeuCgpR"><code>OxTagType!</code></a><br>appId <code>String!</code><br>tagId <code>String!</code><br>appliedBy <code>String</code><br>roles <a href="/pages/TTN3PvA2y7JxP0vFfXkB"><code>\[AppOwnerRole!]</code></a><br>tag <a href="/pages/1GvdJfAzNPasWZXrKpem"><code>TagObject</code></a></p> |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--tags/queries/get-app-tags.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
